# Search Logged Models

Launch stage: GA

`POST /api/2.0/mlflow/logged-models/search`

Search for Logged Models that satisfy specified search criteria.

API scopes: mlflow

## Request body

- `experiment_ids` (array of string, optional)
  The IDs of the experiments in which to search for logged models.
- `filter` (string, optional)
  A filter expression over logged model info and data that allows returning a subset of
   logged models. The syntax is a subset of SQL that supports AND'ing together binary operations.
  
   Example: ``params.alpha < 0.3 AND metrics.accuracy > 0.9``.
- `datasets` (array of object, optional)
  List of datasets on which to apply the metrics filter clauses.
   For example, a filter with `metrics.accuracy > 0.9` and dataset info with name "test_dataset"
   means we will return all logged models with accuracy > 0.9 on the test_dataset.
   Metric values from ANY dataset matching the criteria are considered.
   If no datasets are specified, then metrics across all datasets are considered in the filter.
  - `dataset_name` (string, optional)
    The name of the dataset.
  - `dataset_digest` (string, optional)
    The digest of the dataset.
- `max_results` (int32, optional)
  The maximum number of Logged Models to return. The maximum limit is 50.
  Default: `50`
- `order_by` (array of object, optional)
  The list of columns for ordering the results, with additional fields for sorting criteria.
  - `field_name` (string, optional)
    The name of the field to order by, e.g. "metrics.accuracy".
  - `ascending` (boolean, optional)
    Whether the search results order is ascending or not.
    Default: `true`
  - `dataset_name` (string, optional)
    If ``field_name`` refers to a metric, this field specifies the name of the dataset
     associated with the metric. Only metrics associated with the specified dataset name will be
     considered for ordering. This field may only be set if ``field_name`` refers to a metric.
  - `dataset_digest` (string, optional)
    If ``field_name`` refers to a metric, this field specifies the digest of the dataset
     associated with the metric. Only metrics associated with the specified dataset name
     and digest will be considered for ordering. This field may only be set if ``dataset_name``
     is also set.
- `page_token` (string, optional)
  The token indicating the page of logged models to fetch.

## Returns

Returns a list of LoggedModel objects.

## Response

```json
{
  "models": [
    {
      "info": {},
      "data": {}
    }
  ],
  "next_page_token": "string"
}
```

